Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 727864 - dev-lang/duktape-2.5.0: version bump
Summary: dev-lang/duktape-2.5.0: version bump
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ian Whyman (thev00d00)
URL: https://github.com/svaarala/duktape/b...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-10 15:34 UTC by Sam James
Modified: 2020-06-27 10:07 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-06-10 15:34:42 UTC
See summary.
Comment 1 Sam James archtester gentoo-dev Security 2020-06-25 21:24:30 UTC
note that I think we could get tests if releasetests or a similar target was used: https://github.com/svaarala/duktape/blob/v2-maintenance/Makefile#L621

I don't know why the default src_test isn't working, as it should fallback to `make test`.
Comment 2 Larry the Git Cow gentoo-dev 2020-06-27 10:07:28 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de63736b4534e0b72f620ab5ce64e6f199cd1cb2

commit de63736b4534e0b72f620ab5ce64e6f199cd1cb2
Author:     Ian Whyman <thev00d00@gentoo.org>
AuthorDate: 2020-06-27 10:06:36 +0000
Commit:     Ian Whyman <thev00d00@gentoo.org>
CommitDate: 2020-06-27 10:07:17 +0000

    dev-lang/duktape: Version bump, add arch, respect CC
    
    Closes: https://bugs.gentoo.org/721792
    Closes: https://bugs.gentoo.org/727864
    Closes: https://bugs.gentoo.org/728592
    Package-Manager: Portage-2.3.103, Repoman-2.3.23
    Signed-off-by: Ian Whyman <thev00d00@gentoo.org>

 dev-lang/duktape/Manifest                                  |  2 +-
 .../duktape/{duktape-2.2.1.ebuild => duktape-2.5.0.ebuild} | 14 ++++++++++----
 2 files changed, 11 insertions(+), 5 deletions(-)